RUES Entities by Name
curl --request POST \
--url https://api.croma.run/co/rues/entities-by-name/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "exito"
}
'import requests
url = "https://api.croma.run/co/rues/entities-by-name/v1"
payload = { "name": "exito" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'exito'})
};
fetch('https://api.croma.run/co/rues/entities-by-name/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"query": "<string>",
"capped": true,
"entities": [
{
"registry_id": "<string>",
"nit": "<string>",
"verification_digit": "<string>",
"name": "<string>",
"acronym": "<string>",
"chamber_code": "<string>",
"chamber_name": "<string>",
"registration_number": "<string>",
"registration_status": "<string>",
"legal_organization": "<string>",
"last_renewed_year": "<string>",
"category": "<string>",
"document_type": "<string>",
"detail": {
"registry_id": "<string>",
"nit": "<string>",
"verification_digit": "<string>",
"name": "<string>",
"chamber_name": "<string>",
"registration_status": "<string>",
"registration_date": "2023-12-25",
"primary_activity": {
"code": "<string>",
"description": "<string>"
},
"commercial_phones": [
"<string>"
],
"fiscal_phones": [
"<string>"
],
"identification_class": "<string>",
"secondary_identification": "<string>",
"acronym": "<string>",
"chamber_code": "<string>",
"registration_number": "<string>",
"registration_category": "<string>",
"legal_organization": "<string>",
"society_type": "<string>",
"society_type_code": "<string>",
"last_renewal_date": "2023-12-25",
"last_renewed_year": "<string>",
"expiration_date": "2023-12-25",
"cancellation_date": "2023-12-25",
"cancellation_reason": "<string>",
"updated_date": "2023-12-25",
"secondary_activity": {
"code": "<string>",
"description": "<string>"
},
"ciiu_3": {
"code": "<string>",
"description": "<string>"
},
"ciiu_4": {
"code": "<string>",
"description": "<string>"
},
"commercial_address": "<string>",
"commercial_municipality": "<string>",
"commercial_email": "<string>",
"fiscal_address": "<string>",
"fiscal_municipality": "<string>",
"fiscal_email": "<string>",
"is_bic": true,
"is_social_enterprise": true,
"is_law_1780": true,
"is_transport": true,
"domain_forfeiture": true,
"sipref_inactivation_control": true,
"certificates_sale_url": "<string>"
}
}
],
"pagination": {
"total": 123,
"page_size": 123,
"total_pages": 123,
"page": 123
}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}Search Colombian entities in RUES (Registro Único Empresarial y Social) by name. Returns paginated records (10 per page; use page), each with its full registry detail.
POST
/
co
/
rues
/
entities-by-name
/
v1
RUES Entities by Name
Authorizations
Use Authorization: Bearer YOUR_API_KEY
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
⌘I